# General

### Project Configs

Use this function to get project's config

{% tabs %}
{% tab title="JavaScript" %}

```java
val projectConfig = taptalk.getProjectConfig()
```

{% endtab %}
{% endtabs %}

### Update Latest Project Configs

Use this function to update latest project's config data

{% tabs %}
{% tab title="JavaScript" %}

```java
taptalk.refreshProjectConfigs()
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.taptalk.io/powertalk-chat-sdk-documentation/powertalk-javascript-sdk/general.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
